Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Interface XMPPServerInfo

All Known Implementing Classes:
  XMPPServerInfoImpl

    public interface XMPPServerInfo

Information 'snapshot' of a server's state. Useful for statistics gathering and administration display.

Author:
  Iain Shigeoka

Method Summary
`Date` | `getLastStarted()` Obtain the date when the server was last started.
`String` | `getName()` Obtain the server name (ip address or hostname).
`Collection<ServerPort>` | `getServerPorts()` Obtain the server ports active on this server.
`Version` | `getVersion()` Obtain the server's version information.
`void` | `setName(String serverName)` Set the server name (ip address or hostname).

Method Detail

### getVersion

    Version getVersion()

  Obtain the server's version information. Typically used for iq:version and logging information.

  Returns:
    the version of the server.

### getName

    String getName()

  Obtain the server name (ip address or hostname).

  Returns:
    the server's name as an ip address or host name.

### setName

    void setName(String serverName)

  Set the server name (ip address or hostname). The server must be restarted for this change to take effect.

  Parameters:
    `serverName` - the server's name as an ip address or host name.

### getLastStarted

    Date getLastStarted()

  Obtain the date when the server was last started.

  Returns:
    the date the server was started or null if server has not been started.

### getServerPorts

    Collection<ServerPort> getServerPorts()

  Obtain the server ports active on this server.

  Returns:
    an iterator over the server ports for this server.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.